classification
Title: Generator tests is broken in non-CPython implementation
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, isaiahp, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-20 10:50 by isaiahp, last changed 2018-05-16 09:18 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4940 merged isaiah, 2017-12-20 11:36
PR 5005 closed thatiparthy, 2017-12-24 18:28
PR 6891 merged miss-islington, 2018-05-16 08:05
PR 6892 merged miss-islington, 2018-05-16 08:06
Messages (5)
msg308717 - (view) Author: Liqun Peng (isaiahp) * Date: 2017-12-20 10:50
The fix for bpo-30039 introduced a regression test in `test.test_generators` which uses `_testcapi` module, it doesn't check `ImportError` and so breaks on other implementations.
msg316780 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-05-16 08:05
New changeset 4cc3eb48e1e8289df5153db1c701cae263a1ef86 by Berker Peksag (Isaiah Peng) in branch 'master':
bpo-32384: Skip test when _testcapi isn't available (GH-4940)
https://github.com/python/cpython/commit/4cc3eb48e1e8289df5153db1c701cae263a1ef86
msg316787 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-05-16 08:35
New changeset 4af6110f77e141779492995fd168d4f027fcf3cf by Berker Peksag (Miss Islington (bot)) in branch '3.7':
bpo-32384: Skip test when _testcapi isn't available (GH-4940)
https://github.com/python/cpython/commit/4af6110f77e141779492995fd168d4f027fcf3cf
msg316791 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-05-16 09:17
New changeset 5e8c52680450b67a116d3d555db8416c40576fdb by Berker Peksag (Miss Islington (bot)) in branch '3.6':
bpo-32384: Skip test when _testcapi isn't available (GH-4940)
https://github.com/python/cpython/commit/5e8c52680450b67a116d3d555db8416c40576fdb
msg316792 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-05-16 09:18
Thanks!
History
Date User Action Args
2018-05-16 09:18:06berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg316792

stage: patch review -> resolved
2018-05-16 09:17:28berker.peksagsetmessages: + msg316791
2018-05-16 08:35:09berker.peksagsetmessages: + msg316787
2018-05-16 08:06:27miss-islingtonsetpull_requests: + pull_request6565
2018-05-16 08:05:30miss-islingtonsetpull_requests: + pull_request6564
2018-05-16 08:05:27berker.peksagsetnosy: + berker.peksag
messages: + msg316780
2018-05-16 08:03:44berker.peksagsetversions: + Python 3.7, Python 3.8
2017-12-24 18:28:48thatiparthysetpull_requests: + pull_request4894
2017-12-20 14:35:03r.david.murraysetnosy: + yselivanov
type: enhancement -> behavior
2017-12-20 11:36:12isaiahsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4831
2017-12-20 10:50:40isaiahpcreate